OpenVDB 12.1.0

Loading...
Searching...
No Matches
LevelSetHDDA< TreeT, -1 > Struct Template Reference

Specialization of Hierarchical Digital Differential Analyzer class that intersects a ray against the voxels of a level set. More...

`#include <openvdb/math/DDA.h>`

## Public Types
using | ChainT
using | NodeT

## Static Public Member Functions
template<typename TesterT>
static bool | test (TesterT &tester)

## Detailed Description

template<typename TreeT>
struct openvdb::v12_1::math::LevelSetHDDA< TreeT, -1 >

Specialization of Hierarchical Digital Differential Analyzer class that intersects a ray against the voxels of a level set.

## Member Typedef Documentation

## ◆ ChainT

using ChainT

## ◆ NodeT

using NodeT

## Member Function Documentation

## ◆ test()

template<typename TreeT>
template<typename TesterT>

bool test | ( | TesterT & | tester | ) |
| inline static